databaseChangeLog:
  - changeSet:
      id: add-rules-file-type
      author: kilian
      changes:
        - addColumn:
            columns:
              - column:
                  name: rule_file_type
                  type: VARCHAR(255)
                  defaultValue: ENTITY
            tableName: rule_set
  - changeSet:
      id: make-rules-file-type-primary-key
      author: kilian
      changes:
        - dropPrimaryKey:
            constraintName: rule_set_pkey
            tableName: rule_set
        - addPrimaryKey:
            columnNames: dossier_template_id, rule_file_type
            constraintName: PK_rule_set
            tableName: rule_set
  - changeSet:
      id: add-component-rules-version
      author: kilian
      changes:
        - addColumn:
            columns:
              - column:
                  name: component_rules_version
                  type: BIGINT
                  defaultValue: -1
            tableName: file

